/* pause.h */

#ifndef _PAUSE_H_
#define _PAUSE_H_

#define SPEED_CONSTANT  0.712/ (20000000L/XTAL_FREQ)


#if XTAL_FREQ > 9999999L
#define MicroPause(x) {\
 if (x>1) {BYTE tcount = x * SPEED_CONSTANT; \
   while(--tcount) continue; \
   if (x < 10 ) asm("nop");\
 }\
 else {\
  asm("nop");asm("nop");\
 }\
}


#define PAUSE400ns   asm("nop");
#define PAUSE800ns   asm("nop");asm("nop");
#define PAUSE1200ns  PAUSE800ns;PAUSE400ns;
#define PAUSE1600ns  PAUSE800ns;PAUSE800ns;
#define PAUSE2000ns  PAUSE800ns;PAUSE800ns;PAUSE400ns;

#else
#define MicroPause(x) {\
 if (x>1) {BYTE tcount = x * SPEED_CONSTANT; \
   while(--tcount) continue; \
 }\
}

#define PAUSE1600ns  asm("nop");
#define PAUSE2400ns  asm("nop");asm("nop");
#endif

extern void MilliPause(unsigned int cnt);
extern void ISRMilliPause(unsigned int cnt);


#endif /* _PAUSE_H_ */
